	PROGRAM DEMO

************************************************************************
*	Demonstration der Bedienung der Routine DATE_AND_TIME und RAN2
*
C-----------------------------------------------------------------------
	IMPLICIT NONE
	REAL RAND, SUM, ZUFALL(1000)
	INTEGER I, IDUM, IDATE(8), N
	CHARACTER*12 DATE, TIME, TZONE

C-------Funktion
	REAL RAN2

	CALL DATE_AND_TIME (DATE, TIME, TZONE, IDATE)

C	DATE:     Datum (Characterform)	
C	TIME:     Uhrzeit (Characterform)	
C	TZONE:    Zeitunterschied zu UT (Characterform)	
C	IDATE(1): Jahr
C	IDATE(2): Monat
C	IDATE(3): Tag
C	IDATE(4): Zeitdifferenz zu UT in Min.
C	IDATE(5): Stunde der Uhrzeit
C	IDATE(6): Minute
C	IDATE(7): Sekunde
C	IDATE(8): Millisekunden

C-------Erzeugen eines "zufaelligen" Startwertes:
	IDUM = -(60000 *IDATE(6) +1000*IDATE(7) +IDATE(8))

C-------RAN2 initialisieren
	RAND = RAN2(IDUM)

C-------Erzeugt ein Feld mit Zufallszahlen
	SUM = 0.
	N = 0
	DO I = 1, 1000
	  ZUFALL(I) = RAN2(IDUM)
	  N = N+1
	  SUM = SUM +ZUFALL(I)	
	END DO

C-------Einfacher Test:
	WRITE (*,90000) N, SUM/FLOAT(N)
90000	FORMAT (1X,'Mittelwert aus ',I5,' Zufallszahlen: ',F5.3)

	END
